http:
  routers:
    kanban-http:
      rule: "Host(`kanban.organic-machine.com`)"
      entryPoints:
        - "http"
      middlewares:
        - "kanban-redirect"
      service: "kanban-service"

    kanban-https:
      rule: "Host(`kanban.organic-machine.com`)"
      entryPoints:
        - "https"
      middlewares:
        - "kanban-auth"
        - "kanban-gzip"
      service: "kanban-service"
      tls:
        certResolver: letsencrypt

  services:
    kanban-service:
      loadBalancer:
        servers:
          - url: "http://kanban:8095"

  middlewares:
    kanban-redirect:
      redirectScheme:
        scheme: "https"
    kanban-auth:
      basicAuth:
        users:
          - "lucas:$2y$05$67qHI0i2NiSbVC40gJvqHOb28PKgkNiKYtsdJEEgw3FxT4j4NQcrG"
    kanban-gzip:
      compress: true
